# Uses of Class
org.apache.commons.math3.ml.clustering.evaluation.ClusterEvaluator

Packages that use ClusterEvaluator
Package
Description
org.apache.commons.math3.ml.clustering
Clustering algorithms.
org.apache.commons.math3.ml.clustering.evaluation
Cluster evaluation methods.

## Uses of ClusterEvaluator in org.apache.commons.math3.ml.clustering

Methods in org.apache.commons.math3.ml.clustering that return ClusterEvaluator
Modifier and Type
Method
Description
`ClusterEvaluator<T>`
MultiKMeansPlusPlusClusterer.`getClusterEvaluator()`
Returns the `ClusterEvaluator` used to determine the "best" clustering.
Constructors in org.apache.commons.math3.ml.clustering with parameters of type ClusterEvaluator
Modifier
Constructor
Description
``
`MultiKMeansPlusPlusClusterer(KMeansPlusPlusClusterer<T> clusterer, int numTrials, ClusterEvaluator<T> evaluator)`
Build a clusterer.

## Uses of ClusterEvaluator in org.apache.commons.math3.ml.clustering.evaluation

Subclasses of ClusterEvaluator in org.apache.commons.math3.ml.clustering.evaluation
Modifier and Type
Class
Description
`class`
`SumOfClusterVariances<T extends Clusterable>`
Computes the sum of intra-cluster distance variances according to the formula: